Unusual Whales UnusualWhales API

Sector Etfs

GET https://api.unusualwhales.com/api/market/sector-etfs

Request

Security: Bearer Auth Authorization: Bearer <token>

Responses

200 500

Response Body 200 OK

avg30_stock_volume Market General Avg 30 Day Stock Volume

Avg 30 day stock volume.

Example: 74402355
avg_30_day_call_volume Market General Avg 30 Day Call Volume

Avg 30 day call volume.

Example: 679430.000000000000
avg_30_day_put_volume Market General Avg 30 Day Put Volume

Avg 30 day put volume.

Example: 401961.285714285714
avg_7_day_call_volume Market General Avg 7 Day Call Volume

Avg 7 day call volume.

Example: 679145.333333333333
avg_7_day_put_volume Market General Avg 7 Day Put Volume

Avg 7 day put volume.

Example: 388676.000000000000
bearish_premium Market General Bearish Premium

The bearish premium is defined as (call premium bid side) + (put premium ask side).

Example: 143198625
bullish_premium Market General Bullish Premium

The bullish premium is defined as (call premium ask side) + (put premium bid side).

Example: 196261414
call_premium Market General Call Premium

The sum of the premium of all the call transactions that executed.

Example: 9908777.0
call_volume Market General Call Volume

The sum of the size of all the call transactions that executed.

Example: 990943
close Candle Close

The closing price of the candle.

Example: 56.79
full_name Etf Sector Full Name

The name/sector of the SPDR sector ETF.

Example: S&P 500 Index
high Candle High

The highest price of the candle.

Example: 58.12
low Candle Low

The lowest price of the candle.

Example: 51.90
marketcap Stock Marketcap AUM

The marketcap of the underlying ticker. If the issue type of the ticker is ETF then the marketcap represents the AUM.

Example: 2965813810400
open Candle Open

The opening price of the candle.

Example: 54.29
prev_close Stock Prev Close Price

The previous trading day's stock price of the ticker.

Example: 189.70
prev_date Market General Previous Trading Day

The date of the previous trading day in ISO format.

Example: 2023-09-07
put_premium Market General Put Premium

The sum of the premium of all the put transactions that executed.

Example: 163537151
put_volume Market General Put Volume

The sum of the size of all the put transactions that executed.

Example: 808326
ticker Stock Ticker

The stock ticker.

Example: AAPL
volume Stock Day Stock Volume

The volume of the ticker for the trading day.

Example: 23132119
week_52_high Stock Week 52 High

The 52 week high stock price of the ticker.

Example: 198.23
week_52_low Stock Week 52 low

The 52 week low stock price of the ticker.

Example: 124.17
Try It GET

Request Sample
curl -X GET "https://api.unusualwhales.com/api/market/sector-etfs" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "avg30_call_volume": "3636459.000000000000",
      "avg30_put_volume": "4796289.166666666667",
      "avg30_stock_volume": "74402355",
      "avg_30_day_call_volume": "3636459.000000000000",
      "avg_30_day_put_volume": "4796289.166666666667",
      "avg_7_day_call_volume": "3343061.285714285714",
      "avg_7_day_put_volume": "4521616.428571428571",
      "bearish_premium": "258905527",
      "bullish_premium": "238729761",
      "call_premium": "293824502",
      "call_volume": 1844830,
      "full_name": "S&P 500 Index",
      "high": "447.11",
      "last": "446.15",
      "low": "444.8",
      "marketcap": "406517275500",
      "open": "444.93",
      "prev_close": "444.85",
      "prev_date": "2023-09-07",
      "put_premium": "244159205",
      "put_volume": 2009005,
      "ticker": "SPY",
      "volume": 23132119,
      "week52_high": "459.44",
      "week52_low": "342.65"
    },
    {
      "avg30_call_volume": "1574.3333333333333333",
      "avg30_put_volume": "2571.6000000000000000",
      "avg30_stock_volume": "4773693",
      "avg_30_day_call_volume": "1574.3333333333333333",
      "avg_30_day_put_volume": "2571.6000000000000000",
      "avg_7_day_call_volume": "2003.0000000000000000",
      "avg_7_day_put_volume": "1208.2857142857142857",
      "bearish_premium": "25852",
      "bullish_premium": "30558",
      "call_premium": "37618",
      "call_volume": 319,
      "full_name": "Materials",
      "high": "82.145",
      "last": "81.96",
      "low": "81.55",
      "marketcap": "5607626400",
      "open": "81.67",
      "prev_close": "81.72",
      "prev_date": "2023-09-07",
      "put_premium": "27107",
      "put_volume": 250,
      "ticker": "XLB",
      "volume": 1582879,
      "week52_high": "85.86",
      "week52_low": "66.13"
    },
    {
      "avg30_call_volume": "2020.4000000000000000",
      "avg30_put_volume": "1831.2000000000000000",
      "avg30_stock_volume": "5018213",
      "avg_30_day_call_volume": "2020.4000000000000000",
      "avg_30_day_put_volume": "1831.2000000000000000",
      "avg_7_day_call_volume": "1677.2857142857142857",
      "avg_7_day_put_volume": "2283.4285714285714286",
      "bearish_premium": "524756",
      "bullish_premium": "249626",
      "call_premium": "711775",
      "call_volume": 855,
      "full_name": "Communication Services",
      "high": "67.26",
      "last": "67.08",
      "low": "66.78",
      "marketcap": "14026276000",
      "open": "66.78",
      "prev_close": "66.76",
      "prev_date": "2023-09-07",
      "put_premium": "261697",
      "put_volume": 1048,
      "ticker": "XLC",
      "volume": 1435724,
      "week52_high": "69.22",
      "week52_low": "44.63"
    }
  ]
}